<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link href="../css/main.css" rel="stylesheet" type="text/css" />

<?php
include('../include/session.php');
include('../include/period_select_date.php');	

$set = $_GET['set'];
$delete = $_GET['delete'];

if ($set=='yes') {
	  $message_id = $_GET['message_id'];
		$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET read_done = 'yes' WHERE message_id = '".$message_id."' ";
		execsql($read_query);
}

if ($set=='all') {
	  	$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET read_done = 'yes' WHERE user_name =  '".$_SESSION['username']."' AND department = 'hr' ";
		execsql($read_query);
}

if ($delete=='yes') {
	  $message_id = $_GET['message_id'];
		$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET no_view = 'yes' WHERE message_id = '".$message_id."' ";
		execsql($read_query);
}

if ($delete=='all') {
	  	$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET no_view = 'yes' WHERE user_name =  '".$_SESSION['username']."' AND department = 'hr' ";
		execsql($read_query);
}
	
	
$table_name2 = $_SESSION['db_prefix']."_alert_message";
$alert_query = "SELECT * FROM $table_name2 WHERE user_name = '".$_SESSION['username']."' AND department = 'hr' AND generated >= '".$start."' AND no_view IS NULL AND generated <= '".$end."' ORDER BY message_id DESC ";
$alert_result = mySQL_query($alert_query);
$alert_num = mysql_num_rows($alert_result);


?>
<!--style sheets-->
<link rel="stylesheet" type="text/css" href="../css/scroll_table.css" />
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<!--jscript-->
<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script> 
<script language="javascript" src="../jscript/calendar.js"></script>



</head>

<body>
<?php
include ("../navigation/header.php");
$page_name = "hr-main";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/hr_sidebar.php");
?>
<div class="main_frame" style="height:auto;">
<div class="page_head_frame" > <label class="label_page_head">HR Alerts</label>
</div>
        <br />
<div class="page_middle_frame">
<?php
$page='hr_alerts_list.php?set=&delete=';
$reference_name='set';
$reference='';
include('../include/period_select_block.php');
?>
<script type="text/javascript" language="javascript" src="../jscript/jquery.dataTables.js"></script>
<script type="text/javascript" charset="utf-8">
			$(document).ready(function() {
				$('#scroll_table').dataTable( {
					"sScrollY": "400px",
					"bPaginate": false,
					"bScrollCollapse": true,
					"aaSorting": [[ 4, "desc" ]],
					"aoColumns": [
								{"bSortable": false},
								{"iDataSort": 4},
                              	{"bSortable": true},
                             	{"bSortable": true},
								{"bVisible": false},
								{"bSortable": false}
								 ]
								 
				} );
			} );
		</script>
<div  class="page_inside_frame" style="height:460px;">
<table width="683" id="scroll_table" class="data_display">
  <thead>
  <tr>
    <th><a href="../hr_module/hr_alerts_list.php?set=all&amp;date=1&amp;date1=<?php echo $start?>&amp;date2=<?php echo $end?>&amp;delete=" onMouseover="ddrivetip('Click to set all to read.', 110)"; onMouseout="hideddrivetip()"><img src="../images/round_red_green.png" width="18" height="12" /></a></th>
    <th width="66">Date</th>
    <th width="106">Alert</th>
    <th width="389">Message</th>
    <th width="23">&nbsp;</th>
    <th width="36"><a href="../hr_module/hr_alerts_list.php?delete=all&amp;date=1&amp;date1=<?php echo $start?>&amp;date2=<?php echo $end?>&amp;set=" onMouseover="ddrivetip('Click to delete all alerts.', 120)"; onMouseout="hideddrivetip()"><img src="../images/delete_all.png" width="20" height="16" /></a></th>
    </tr>
   </thead>
<?php 

$i=0;

while ($i<$alert_num) {
    $b0  =  mysql_result($alert_result, $i, "message_id");
	$b1 =  mysql_result($alert_result, $i, "generated");
	$b2 =  mysql_result($alert_result, $i, "alert");
	$d1 =  mysql_result($alert_result, $i, "detail_1");
	$d2 =  mysql_result($alert_result, $i, "detail_2");
	$d3 =  mysql_result($alert_result, $i, "detail_3");
	$b6 =  mysql_result($alert_result, $i, "read_done");
	
	
	$alert='';
	$message='';
	switch ($b2) {
    case 40:
        $alert = 'Employee late';
		
		$table_name2 = $_SESSION['db_prefix']."_employee";
		$employee_query = "SELECT emp_first_name, emp_last_name FROM $table_name2 WHERE emp_id ='".$d1."' ";
		$employee_result = mySQL_query($employee_query);
		$employee_num = mysql_num_rows($employee_result);	
		$emp_name = mysql_result($employee_result, 0, "emp_first_name").' '.mysql_result($employee_result, 0, "emp_last_name"); 
						
		$message = '<a href=../hr_module/employee_details.php?emp_id='.$d1.'><b>'.$emp_name.'</b></a> has been <b>'.$d3.'</b> times late since <b>'.date("d-m-Y", strtotime($d2)).'</b>';
        break;
		
	case 41:
        $alert = 'Employee absent';
		
		$table_name2 = $_SESSION['db_prefix']."_employee";
		$employee_query = "SELECT emp_first_name, emp_last_name FROM $table_name2 WHERE emp_id ='".$d1."' ";
		$employee_result = mySQL_query($employee_query);
		$employee_num = mysql_num_rows($employee_result);	
		$emp_name = mysql_result($employee_result, 0, "emp_first_name").' '.mysql_result($employee_result, 0, "emp_last_name"); 
						
		$message = '<a href=../hr_module/employee_details.php?emp_id='.$d1.'><b>'.$emp_name.'</b></a> has been <b>'.$d3.'</b> times absent since <b>'.date("d-m-Y", strtotime($d2)).'</b>';
        break;
		
	case 42:
        $alert = 'Employee leave';
		
		$table_name2 = $_SESSION['db_prefix']."_employee";
		$employee_query = "SELECT emp_first_name, emp_last_name FROM $table_name2 WHERE emp_id ='".$d1."' ";
		$employee_result = mySQL_query($employee_query);
		$employee_num = mysql_num_rows($employee_result);	
		$emp_name = mysql_result($employee_result, 0, "emp_first_name").' '.mysql_result($employee_result, 0, "emp_last_name"); 
						
		$message = '<a href=../hr_module/employee_details.php?emp_id='.$d1.'><b>'.$emp_name.'</b></a> has used up his/her leave days';
        break;	
	
	}
	?>

  <tr>
    <td width="35" align="left"><?php if ($b6=='yes') { ?> <img src="../images/round_green.png" width="12" height="12" /> <?php } else {?><a href="../hr_module/hr_alerts_list.php?set=yes&amp;message_id=<?php echo $b0 ?>&amp;date=1&amp;date1=<?php echo $start?>&amp;date2=<?php echo $end?>&amp;delete=" onMouseover="ddrivetip('Click to set to read.', 100)"; onMouseout="hideddrivetip()"><img src="../images/round_red.png" width="12" height="12" /></a><?php } ?></td>
    <td align="left"><?php echo date("d-m-Y", strtotime($b1 )) ?></td>
    <td align="left"><?php echo $alert ?></td>
    <td align="left"><?php echo $message ?></td>
    <td align="left"><?php echo $b1?></td>
    <td align="left"><a href="../hr_module/hr_alerts_list.php?delete=yes&amp;message_id=<?php echo $b0 ?>&amp;date=1&amp;date1=<?php echo $start?>&amp;date2=<?php echo $end?>&amp;set=" onMouseover="ddrivetip('Click to delete alert.', 100)"; onMouseout="hideddrivetip()"><img src="../images/delete.png" width="16" height="16" /></a></td>
    </tr>
  <?php
  $i++;
}
?>

</table>
</div>
</div>
</div>
</body>
<?php } else {
$_SESSION['denied_return'] = "hr_module/hr_main.php";	
    include ("../navigation/hr_sidebar.php");?>
	<body onLoad="accessdenied(); return false">
<?php }
?>
<?php include ('../navigation/side_bar.php'); ?>
</html>